package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsMonthPlanAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 年度计划子表附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-06-26
 */
public interface ILmsMonthPlanAttachmentService extends IBaseService<LmsMonthPlanAttachment> {


    Page<LmsMonthPlanAttachment> page(Page<LmsMonthPlanAttachment> page, LmsMonthPlanAttachment lmsMonthPlanAttachment);


    List<LmsMonthPlanAttachment> list(LmsMonthPlanAttachment lmsMonthPlanAttachment);


    int getCountByPlanId(Long planId);


    boolean save(Long planId, MultipartFile file);


    void download(Long id, HttpServletResponse response);

    void downloadBatch(Long[] attachmentIds, HttpServletResponse response);
}
